<?php

/**
 * Blacklist plugin for Contact Form 7.
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://webmonkey.hu
 * @since             1.0.0
 * @package           WPCF7_Blacklist
 *
 * @wordpress-plugin
 * Plugin Name:       Contact Form 7 Blacklist
 * Plugin URI:        https://github.com/webmonkeyhu/wpcf7_blacklist
 * Description:       Blacklist for Contact Form 7.
 * Version:           1.0.0
 * Author:            Webmonkey Solutions Kft.
 * Author URI:        https://webmonkey.hu
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       contact-form-blacklist
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WPCF_BLACKLIST_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wpcf7-blacklist-activator.php
 */
function activate_wpcf7_blacklist() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wpcf7-blacklist-activator.php';
	WPCF7_Blacklist_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wpcf7-blacklist-deactivator.php
 */
function deactivate_wpcf7_blacklist() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wpcf7-blacklist-deactivator.php';
	WPCF7_Blacklist_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wpcf7_blacklist' );
register_deactivation_hook( __FILE__, 'deactivate_wpcf7_blacklist' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wpcf7-blacklist.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wpcf7_blacklist() {

	$plugin = new WPCF7_Blacklist();
	$plugin->run();

}
run_wpcf7_blacklist();
